/// <reference types="node" />
import { Application as EggApplication } from 'egg';
import { Application } from './framework';
import { fork } from 'child_process';
declare const EggLoader: any;
export { EggLoader };
export interface ETConfig {
    /** use with autoLoadDir */
    excludeDir: string[];
    /** default: true */
    autoLoadDir: boolean;
    /** default: true */
    useTSRuntime: boolean;
    /** default: true */
    useTracking: boolean;
    /** use meta api, default: true */
    useMetaApi: boolean;
    /** meta base url, default: '/$metadata' */
    metaPath: string;
}
export default class AppWorkerLoader extends EggLoader {
    private readonly etConfig;
    protected readonly baseDir: string;
    app: EggApplication & Application;
    protected metadataPath: string;
    fork: typeof fork;
    private registeredTS;
    /**
     * 开始加载所有约定目录
     * @since 1.0.0
     */
    load(): void;
    autoLoadDir(dirPath: string): void;
    autoLoadApp(): void;
    loadFile(filepath: string, ...inject: any[]): any;
}
